    import { ProjUnitWkidMap } from './ProjUnitWkidMap'

    const RadiusUnitToMeter = {
      degrees: 111320,
      miles: 1609.34,
      'nautical-miles': 1852,
      yard: 0.9144,
      meters: 1,
      kilometers: 1000
    }

    /**
     * @description: 根据投影坐标系wkid获取参考系单位
     * @param {Number} wkid
     * @return {Number}
     */
    function getProjUnitByWkid(wkid) {
      if (ProjUnitWkidMap(wkid)) {
        return ProjUnitWkidMap.values[ProjUnitWkidMap(wkid)]
      }
      return 1
    }

    export { RadiusUnitToMeter, getProjUnitByWkid, ProjUnitWkidMap }